package user

import (
	"github.com/gin-gonic/gin"
	userLogic "github.com/perfect-panel/server/internal/logic/public/user"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

func GetSubscribeStatusHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.GetSubscribeStatusRequest
		_ = c.ShouldBind(&req)
		validateErr := svcCtx.Validate(&req)
		if validateErr != nil {
			result.ParamErrorResult(c, validateErr)
			return
		}
		l := userLogic.NewGetSubscribeStatusLogic(c.Request.Context(), svcCtx)
		resp, err := l.GetSubscribeStatus(&req)
		result.HttpResult(c, resp, err)
	}
}
